Holger's Java API

## com.antelmann.genealogy
Enum GPersonRelationType

    java.lang.Object
      java.lang.Enum<GPersonRelationType>
          com.antelmann.genealogy.GPersonRelationType

All Implemented Interfaces:
  Serializable, Comparable<GPersonRelationType>

    public enum GPersonRelationType

extends Enum<GPersonRelationType>

the non-bidirectional relations are to be interpreted as 'has' relations, i.e. in case of a PARENT relation, the from-reference is the child.

Since:
  21.05.2013, 17:23:38
Author:
  holger

Enum Constant Summary
`GODFATHER`
`LEGAL_GUARDIAN`
`PARENT`
`PARTNER`
`SPOUSE`

Method Summary
`boolean` `isBidirectional()`
`boolean` `isBloodLine()`
`static GPersonRelationType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GPersonRelationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARENT

    public static final GPersonRelationType PARENT

### SPOUSE

    public static final GPersonRelationType SPOUSE

### PARTNER

    public static final GPersonRelationType PARTNER

### GODFATHER

    public static final GPersonRelationType GODFATHER

### LEGAL_GUARDIAN

    public static final GPersonRelationType LEGAL_GUARDIAN

Method Detail

### values

    public static GPersonRelationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GPersonRelationType c : GPersonRelationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GPersonRelationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isBloodLine

    public boolean isBloodLine()

### isBidirectional

    public boolean isBidirectional()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads